> ## Documentation Index
> Fetch the complete documentation index at: https://docs.boostgpt.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Disable Heartbeat

> Pause a heartbeat without deleting its configuration



## OpenAPI

````yaml /api-reference/openapi.json post /v1/bot/heartbeat/disable
openapi: 3.0.0
info:
  title: BoostGPT API
  version: 1.0.0
  description: API for managing AI agents with memory capabilities
servers:
  - url: https://api.boostgpt.co
    description: Production server
security:
  - BearerAuth: []
tags:
  - name: Agent
    description: Operations for managing AI agents
  - name: Memory
    description: Operations for managing agent memory sources
  - name: Chat
    description: Operations for chatting with agents and managing conversations
  - name: Subscribers
    description: Operations for managing subscribers and leads
  - name: Tools
    description: Operations for managing agent tools and MCP server integrations
  - name: Analytics
    description: Operations for retrieving agent statistics and analytics
  - name: Heartbeat
    description: Operations for managing autonomous agent scheduling and execution
  - name: User Memory
    description: Operations for managing per-user memory entries
  - name: Email
    description: Operations for managing agent email functionality
  - name: Triggers
    description: Operations for firing proactive agent trigger events
  - name: CRM
    description: >-
      Operations for managing agent CRM contacts, pipelines, deals, follow-ups,
      and reports
  - name: Workflows
    description: Operations for managing agent workflow automations
  - name: Calendar
    description: Operations for managing agent calendar settings, availability, and events
  - name: Workspace
    description: Operations for managing agent workspaces and files
paths:
  /v1/bot/heartbeat/disable:
    post:
      tags:
        - Heartbeat
      summary: Disable Heartbeat
      description: Pause a heartbeat without deleting its configuration
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HeartbeatActionRequest'
      responses:
        '200':
          description: Heartbeat disabled
          content:
            application/json:
              schema:
                type: object
                properties:
                  heartbeat:
                    $ref: '#/components/schemas/HeartbeatObject'
        '404':
          description: Heartbeat not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    HeartbeatActionRequest:
      type: object
      required:
        - project_id
        - bot_id
        - heartbeat_id
      properties:
        project_id:
          type: string
          description: Project ID
        bot_id:
          type: string
          description: Agent ID
        heartbeat_id:
          type: string
          description: Heartbeat UUID
    HeartbeatObject:
      type: object
      properties:
        uuid:
          type: string
          description: Heartbeat UUID
        bot_id:
          type: integer
        member_id:
          type: integer
          nullable: true
        prompt:
          type: string
        cron_pattern:
          type: string
          nullable: true
          description: Cron expression for scheduling
        enabled:
          type: integer
          enum:
            - 0
            - 1
        timezone:
          type: string
        credit_budget:
          type: integer
          nullable: true
        credits_used:
          type: integer
        last_executed_at:
          type: string
          nullable: true
        last_status:
          type: string
          nullable: true
          enum:
            - success
            - error
            - skipped
        execution_count:
          type: integer
        error_count:
          type: integer
        max_consecutive_errors:
          type: integer
        created_at:
          type: string
        updated_at:
          type: string
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
        code:
          type: string
          description: Error code
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Enter your API key

````